El object 'NoneType' no tiene el atributo 'decompressobj' mientras instala las herramientas de configuration de Bootstrap

Acabo de comenzar (como hace 30 minutos) a usar Ubuntu 12.04 (toda mi experiencia previa es con Windows) y recién comencé a aprender cómo progtwigr hace un par de semanas, así que esta es probablemente una pregunta para principiantes.

Estoy intentando instalar Python 3.2 y get setuptools y pip en python 3.2. Todo parece funcionar bien en Python 2.7. Sin embargo, cuando bash instalar setuptools con este código, wget https://bootstrap.pypa.io/ez_setup.py -O - | sudo python3.2 wget https://bootstrap.pypa.io/ez_setup.py -O - | sudo python3.2 me sale el siguiente error

 Extracting in /tmp/tmpcwnav_ Traceback (most recent call last): File "<stdin>", line 332, in <module> File "<stdin>", line 329, in main File "<stdin>", line 51, in _install File "/usr/local/lib/python3.2/contextlib.py", line 28, in __enter__ return next(self.gen) File "<stdin>", line 101, in archive_context File "/usr/local/lib/python3.2/zipfile.py", line 1004, in extractall self.extract(zipinfo, path, pwd) File "/usr/local/lib/python3.2/zipfile.py", line 992, in extract return self._extract_member(member, path, pwd) File "/usr/local/lib/python3.2/zipfile.py", line 1035, in _extract_member source = self.open(member, pwd=pwd) File "/usr/local/lib/python3.2/zipfile.py", line 978, in open close_fileobj=not self._filePassed) File "/usr/local/lib/python3.2/zipfile.py", line 487, in __init__ self._decompressor = zlib.decompressobj(-15) AttributeError: 'NoneType' object has no attribute 'decompressobj' 

Basado en Google, parece que estoy recibiendo el problema porque zlib no se ha instalado. No tengo este problema cuando bash instalar setuptools para python 2.7. Entré en python 3.2 e intenté importar zlib y obtuve un post de error cuando lo intenté. También traté de hacer sudo apt-get install zlib y obtuve el post de error E: Unable to locate package zlib . No recibí posts de error cuando probé sudo apt-get install zlib1g o sudo apt-get install zlib1g-dev` Realmente no tengo idea de lo que está pasando. ¿Cómo obtengo zlib para Python 3.2 (o soluciono este problema de alguna otra manera?)

Su problema parece ser que ha comstackdo Python sin soporte para zlib. Asegúrese de tener instalado zlib-devel ( sudo apt-get install zlib1g-dev ) antes de comstackr Python. No hay nada de malo en usar Python comstackdo por usted además o en lugar del sistema uno. Sin embargo, debe recordar ser explícito al invocar Python e invocar el que pretende utilizar especificando la ruta completa como /usr/local/bin/python lugar de plain python . Alternativamente, puede agregar ( /usr/local/bin/ ) a su PATH antes de /usr/bin/ para que cuando escriba python sistema ejecute su Python comstackdo.

Tu problema está aquí:

 File "/usr/local/lib/python3.2/zipfile.py", line 487, in __init__ 

no estás usando tu sistema binary python. Asegúrese de estar utilizando los binarys de su sistema con:

 wget https://bootstrap.pypa.io/ez_setup.py -O - | sudo /usr/bin/python3 

Deberia de funcionar.